Bug 106159 - Bebop Link component setConfirmation fails in IE 6
Bebop Link component setConfirmation fails in IE 6
Status: ON_QA
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Che
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 08:47 EDT by Richard Li
Modified: 2008-05-01 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Li 2003-10-03 08:47:53 EDT
Version: ccm-core-5.3.0.AUTO.06.17.2003-1

Description:

Bebop writes out a confirm="confirm" attribute in the <a> html tag when
Link.setConfirmation() is called.
confirm is not a valid <a> attribute for IE and f@!~s up my IE 6.0 browser
causing it to not fire the onClick event.

Rewrote Link.xsl
	 Line 46:       <![CDATA[ document.write(']]><a><xsl:for-each
select="@*[name() != 'href_no_javascript' and name() !=
'confirm']"><xsl:attribute name="{name()}"><xsl:value-of
select="."/></xsl:attribute></xsl:for-each><xsl:apply-templates
mode="javascript-mode"/><![CDATA[')]]>
	Line 126:       <![CDATA[ document.write(']]><a><xsl:for-each
select="@*[name() != 'href_no_javascript' and name() !=
'confirm']"><xsl:attribute name="{name()}"><xsl:value-of
select="."/></xsl:attribute></xsl:for-each><xsl:apply-templates
mode="javascript-mode"/><![CDATA[')]]>


Reproducibility: Every Time

Steps to Reproduce:

1. Create a link that calls setConfirmation()
2. Open up IE 6
3. Click on the link

Actual Results: IE 6 will not display a confirmation dialog box but will
follow the link.

Expected Results: A confirmation dialog box should appear.  If the user
clicks cancel the link should not be followed.  If the user click ok, the
link is followed.
Comment 1 Arjan Moraal 2004-01-26 06:44:42 EST
I think the problem is not in the confirm="confirm" attribute, but
with escaping of ' characters in the onClick attribute:

onclick="return confirm(\'my message text\');"

IE doesn't execute the confirm, but Mozilla and Opera do. When
removing the two backslashes in around the message text, it also works
in IE.
Comment 2 Bryan Che 2004-02-13 10:17:44 EST
fixed at changelsit 40357
Comment 3 David Lawrence 2006-07-17 23:01:09 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.